Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.categorization.model
Class DerivedAttributeAdapter

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.ecp.view.spi.categorization.model.DerivedAttributeAdapter

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal

    public class DerivedAttributeAdapter

extends org.eclipse.emf.common.notify.impl.AdapterImpl

Author:
  Eugen Neufeld

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Constructor Summary
`DerivedAttributeAdapter(org.eclipse.emf.ecore.EObject source, org.eclipse.emf.ecore.EStructuralFeature derivedFeature)` Constructor with source object and the derived feature.
`DerivedAttributeAdapter(org.eclipse.emf.ecore.EObject source, org.eclipse.emf.ecore.EStructuralFeature derivedFeature, org.eclipse.emf.ecore.EStructuralFeature localFeature)` Convenience constructor for a local dependency.
`DerivedAttributeAdapter(org.eclipse.emf.ecore.EObject source, org.eclipse.emf.ecore.EStructuralFeature derivedFeature, org.eclipse.emf.ecore.EStructuralFeature navigationFeature, org.eclipse.emf.ecore.EStructuralFeature dependantFeature)` Convenience constructor for a navigated dependency.
`DerivedAttributeAdapter(org.eclipse.emf.ecore.EObject source, org.eclipse.emf.ecore.EStructuralFeature derivedFeature, org.eclipse.emf.ecore.EStructuralFeature navigationFeature, org.eclipse.emf.ecore.EStructuralFeature dependantFeature, org.eclipse.emf.ecore.EStructuralFeature localFeature)` Convenience constructor for a local and navigated dependency.

Method Summary
`void` | `addLocalDependency(org.eclipse.emf.ecore.EStructuralFeature localFeature)` Adds a local dependency for a derived feature.
`void` | `addNavigatedDependency(org.eclipse.emf.ecore.EStructuralFeature navigationFeature, org.eclipse.emf.ecore.EStructuralFeature dependantFeature)` Adds a navigated dependency for a derived feature.
`void` | `notifyChanged(org.eclipse.emf.common.notify.Notification notification)`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, isAdapterForType, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerivedAttributeAdapter

    public DerivedAttributeAdapter(org.eclipse.emf.ecore.EObject source,
                                   org.eclipse.emf.ecore.EStructuralFeature derivedFeature,
                                   org.eclipse.emf.ecore.EStructuralFeature navigationFeature,
                                   org.eclipse.emf.ecore.EStructuralFeature dependantFeature,
                                   org.eclipse.emf.ecore.EStructuralFeature localFeature)

  Convenience constructor for a local and navigated dependency.

  Parameters:
    `source` - the source `EObject`
    `derivedFeature` - the derived `EStructuralFeature`
    `navigationFeature` - the feature used for navigation
    `dependantFeature` - the `EStructuralFeature` being derived
    `localFeature` - the local `EStructuralFeature` being derived

### DerivedAttributeAdapter

    public DerivedAttributeAdapter(org.eclipse.emf.ecore.EObject source,
                                   org.eclipse.emf.ecore.EStructuralFeature derivedFeature,
                                   org.eclipse.emf.ecore.EStructuralFeature navigationFeature,
                                   org.eclipse.emf.ecore.EStructuralFeature dependantFeature)

  Convenience constructor for a navigated dependency.

  Parameters:
    `source` - the source `EObject`
    `derivedFeature` - the derived `EStructuralFeature`
    `navigationFeature` - the feature used for navigation
    `dependantFeature` - the `EStructuralFeature` being derived

### DerivedAttributeAdapter

    public DerivedAttributeAdapter(org.eclipse.emf.ecore.EObject source,
                                   org.eclipse.emf.ecore.EStructuralFeature derivedFeature,
                                   org.eclipse.emf.ecore.EStructuralFeature localFeature)

  Convenience constructor for a local dependency.

  Parameters:
    `source` - the source `EObject`
    `derivedFeature` - the derived `EStructuralFeature`
    `localFeature` - the local `EStructuralFeature` being derived

### DerivedAttributeAdapter

    public DerivedAttributeAdapter(org.eclipse.emf.ecore.EObject source,
                                   org.eclipse.emf.ecore.EStructuralFeature derivedFeature)

  Constructor with source object and the derived feature.

  Parameters:
    `source` - the source `EObject`
    `derivedFeature` - the derived `EStructuralFeature`

Method Detail

### addNavigatedDependency

    public void addNavigatedDependency(org.eclipse.emf.ecore.EStructuralFeature navigationFeature,
                                       org.eclipse.emf.ecore.EStructuralFeature dependantFeature)

  Adds a navigated dependency for a derived feature.

  Parameters:
    `navigationFeature` - the feature used for navigation
    `dependantFeature` - the `EStructuralFeature` being derived

### addLocalDependency

    public void addLocalDependency(org.eclipse.emf.ecore.EStructuralFeature localFeature)

  Adds a local dependency for a derived feature.

  Parameters:
    `localFeature` - the local `EStructuralFeature` being derived

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.